=== debian/changelog ===
gpac (1.0.1+dfsg1-4+deb11u3) bullseye-security; urgency=medium

  * CVE-2023-3291 / CVE-2023-3012 / CVE-2023-0760

 -- Moritz Mühlenhoff <jmm@debian.org>  Mon, 19 Jun 2023 23:46:06 +0200

gpac (1.0.1+dfsg1-4+deb11u2) bullseye-security; urgency=medium

  * Fix multiple security issues

 -- Aron Xu <aron@debian.org>  Tue, 23 May 2023 19:53:25 +0800

gpac (1.0.1+dfsg1-4+deb11u1) bullseye-security; urgency=medium

  * Fix multiple security issues
    - CVE-2021-21861
    - CVE-2021-21860
    - CVE-2021-21859
    - CVE-2021-21858
    - CVE-2021-21857
    - CVE-2021-21855
    - CVE-2021-21854
    - CVE-2021-21853
    - CVE-2021-21852
    - CVE-2021-21850
    - CVE-2021-21849
    - CVE-2021-21848
    - CVE-2021-21847
    - CVE-2021-21846
    - CVE-2021-21845
    - CVE-2021-21844
    - CVE-2021-21843
    - CVE-2021-21842
    - CVE-2021-21841
    - CVE-2021-21840
    - CVE-2021-21839
    - CVE-2021-21838
    - CVE-2021-21837
    - CVE-2021-21836
    - CVE-2021-21834

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 20 Aug 2021 00:03:29 +0200

gpac (1.0.1+dfsg1-4) unstable; urgency=medium

  [ Moritz Muehlenhoff ]
  * Cherrypicked fixes for multiple security issues:
    (Closes: #987280, #987323, #987374)
    - CVE-2021-30014/CVE-2021-30020/CVE-2021-30022
    - CVE-2020-35979
    - CVE-2020-35981
    - CVE-2020-35982
    - CVE-2021-28300
    - CVE-2021-29279
    - CVE-2021-31255
    - CVE-2021-31256
    - CVE-2021-31261
    - CVE-2021-30015
    - CVE-2021-30019
    - CVE-2021-30199
    - CVE-2021-31257
    - CVE-2021-31258
    - CVE-2021-31260
    - CVE-2021-31262

  [ Reinhard Tartler ]
  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 24 May 2021 21:09:10 -0400

gpac (1.0.1+dfsg1-3) unstable; urgency=medium

  * Clean share/gpac.desktop (Closes: #975779)
  * Bugfix: FTBFS on armel: missing -latomic (Closes: #975433)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 25 Nov 2020 15:43:00 -0500

gpac (1.0.1+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Nov 2020 17:13:44 -0500

gpac (1.0.1+dfsg1-1) experimental; urgency=medium

  * New upstream version
    - soname bump to libgpac10
    - Fixes lots of security issues, closes: #972053
       CVE-2019-20161 CVE-2019-20162 CVE-2019-20163 CVE-2019-20165
       CVE-2019-20170 CVE-2019-20208 CVE-2019-20628 CVE-2019-20629
       CVE-2019-20630 CVE-2019-20631 CVE-2019-20632 CVE-2020-11558
       CVE-2020-6630 CVE-2020-6631
    - Fixes CVE-2018-21015 CVE-2018-21016, closes: #940882
    - Fixes CVE-2019-13618, closes: #932242
    - Fixes CVE-2019-12481 CVE-2019-12482 CVE-2019-12483, closes: #931088
    - Fix in manpage, closes: #782093
  * Rewritten debian/copyright with help of 'cme update dpkg-copyright'

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 17 Nov 2020 18:36:39 -0500

gpac (0.7.1+dfsg1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dh arguments: --parallel

  [ Reinhard Tartler ]
  * upload to unstable
  * libgpac7.symbols: Add Build-Depends-Package field
  * debian/changelog: cleanups
  * Fix FTCBFS: Pass --cross-prefix to ./configure, Closes: #945200
    Thanks to Helmut Grohne <helmut@subdivi.de> for providing the patch

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 13 Nov 2020 21:27:34 -0500
